> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://docs.deel.wtf/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.deel.wtf/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.deel.wtf/_mcp/server.

# Get Legal Entities

GET https://api.letsdeel.com/rest/fetch-legal-entities

Retrieve a list of legal entities

Reference: https://docs.deel.wtf/api/reference/endpoints/legal-entities/get-legal-entities-v-2026-01-01

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.deel.training/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Query parameters

- `limit` (integer, optional, default: 100) — The number of results to return per page.
- `sort_order` (enum, optional, default: ASC) — Sorting order of the results.
  - Allowed values: `ASC`, `DESC`
- `cursor` (string, optional) — Cursor for pagination.
- `include_archived_legal_entities` (boolean, optional, default: true) — Whether to include archived legal entities in the results.

## Response

### 200

Successfully retrieved legal entities.

- `data` (list of FetchLegalEntitiesGetResponsesContentApplicationJsonSchemaDataItems, optional)
- `page` (FetchLegalEntitiesGetResponsesContentApplicationJsonSchemaPage, optional)

## Errors

### 400 Bad Request Error

Operation failed.

- `errors` (list of FetchLegalEntitiesGetResponsesContentApplicationJsonSchemaErrorsItems, optional)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### FetchLegalEntitiesGetResponsesContentApplicationJsonSchemaDataItems

- `id` (string, optional) — The unique identifier for the legal entity.
- `name` (string, optional) — The name of the entity.
- `phone` (string, optional) — The contact number of the entity.
- `address` (FetchLegalEntitiesGetResponsesContentApplicationJsonSchemaDataItemsAddress, optional) — The entity's address.
- `public_id` (string, optional) — The public identifier for the legal entity.
- `created_at` (string, optional) — Timestamp when the entity was created.
- `sic_number` (string, optional) — The SIC number of the entity.
- `updated_at` (string, optional) — Timestamp when the entity was last updated.
- `archived_at` (string, optional, nullable) — Timestamp when the entity was archived, if applicable.
- `entity_type` (string, optional) — Type of the entity.
- `industry_name` (string, optional) — The industry category of the entity.
- `company_identifiers` (list of FetchLegalEntitiesGetResponsesContentApplicationJsonSchemaDataItemsCompanyIdentifiersItems, optional)

### FetchLegalEntitiesGetResponsesContentApplicationJsonSchemaPage

- `cursor` (string, optional, nullable) — Cursor for pagination.

### FetchLegalEntitiesGetResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, optional) — Error code identifier
- `field` (string, optional) — Name of the field that failed validation
- `details` (FetchLegalEntitiesGetResponsesContentApplicationJsonSchemaErrorsItemsDetails, optional) — Additional error details
- `message` (string, optional) — Human-readable error message

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### FetchLegalEntitiesGetResponsesContentApplicationJsonSchemaDataItemsAddress

The entity's address.

- `zip` (string, optional, nullable) — The postal or zip code of the address.
- `city` (string, optional) — The city of the address.
- `state` (string, optional) — The state or province of the address.
- `street` (string, optional, nullable) — The street of the address.
- `country` (string, optional) — The country of the address.

### FetchLegalEntitiesGetResponsesContentApplicationJsonSchemaDataItemsCompanyIdentifiersItems

- `value` (string, optional) — Value of the identifier.
- `field_category` (string, optional) — Category of the identifier.

### FetchLegalEntitiesGetResponsesContentApplicationJsonSchemaErrorsItemsDetails

Additional error details

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "le_12345",
      "name": "Acme Corporation",
      "phone": "+1-800-555-0199",
      "address": {
        "zip": "12345",
        "city": "San Francisco",
        "state": "Texas",
        "street": "123 Main St",
        "country": "US"
      },
      "public_id": "pub_12345",
      "created_at": "2024-01-01T12:00:00Z",
      "sic_number": "1234",
      "updated_at": "2024-01-02T12:00:00Z",
      "archived_at": "2024-01-06T12:00:00Z",
      "entity_type": "LLC",
      "industry_name": "Technology",
      "company_identifiers": [
        {
          "value": "123456789",
          "field_category": "registration"
        }
      ]
    }
  ],
  "page": {
    "cursor": "cursor123"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/fetch-legal-entities"

querystring = {"cursor":"cursor123","include_archived_legal_entities":"true","limit":"100","sort_order":"ASC"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/fetch-legal-entities?cursor=cursor123&include_archived_legal_entities=true&limit=100&sort_order=ASC';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/fetch-legal-entities?cursor=cursor123&include_archived_legal_entities=true&limit=100&sort_order=ASC"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/fetch-legal-entities?cursor=cursor123&include_archived_legal_entities=true&limit=100&sort_order=ASC")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/fetch-legal-entities?cursor=cursor123&include_archived_legal_entities=true&limit=100&sort_order=ASC")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/fetch-legal-entities?cursor=cursor123&include_archived_legal_entities=true&limit=100&sort_order=ASC', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/fetch-legal-entities?cursor=cursor123&include_archived_legal_entities=true&limit=100&sort_order=ASC");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/fetch-legal-entities?cursor=cursor123&include_archived_legal_entities=true&limit=100&sort_order=ASC")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```